"""
#
#    Written by Phil Dodderidge <pdodde@poyntz.com>
#    Copyright (C) 2001 Poyntz, Inc.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    This product includes software developed by Digital Creations
#    for use in the Z Object Publishing Environment
#    (http://www.zope.org/).
#
"""

database_type = "JDBC"

from db import DB
import Shared.DC.ZRDB.Connection
from Globals import HTMLFile

addConnectionForm=HTMLFile('Products/JDBCDA/connectionAdd',
                           default_id='JDBC_database_connection',
                           default_title='JDBC Database Connection',
                           database_type=database_type
                           )

def manage_addJDBCConnection(self, id, title, connection_string, check=0, REQUEST=None):
    """ Add the DA to the ObjectManager """
    self._setObject(id, Connection(id, title, connection_string, check))
    if REQUEST is not None:
        return self.manage_main(self, REQUEST)
    return self.manage_main(self, REQUEST)

class Connection(Shared.DC.ZRDB.Connection.Connection):
    """ A database connection object """
    database_type = database_type
    id='%s_database_connection' % database_type
    meta_type=title='%s Database Connection' % database_type
    icon='misc_/JDBCDA/conn'
    _isAnSQLConnection=1

    def factory(self):
        return DB

