"""
#
#    Written by Phil Dodderidge <pdodde@poyntz.com>
#    Copyright (C) 2001 Poyntz, Inc.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    This product includes software developed by Digital Creations
#    for use in the Z Object Publishing Environment
#    (http://www.zope.org/).
#
"""

import DA
from ImageFile import ImageFile

database_type='JDBC'

classes=('DA.Connection',)

meta_types=(
    {'name':'JDBC DatabaseConnection',
     'action':'manage_addJDBCConnectionForm',
     },
    )

methods={
    'manage_add%sConnection' % database_type: DA.manage_addJDBCConnection,
    'manage_add%sConnectionForm' % database_type: DA.addConnectionForm,
    }

misc_={'conn': ImageFile('Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif'),}

__ac_permissions__=(
    ('Add JDBC Database Connections',
     ('manage_addJDBCConnectionForm',
      'manage_addJDBCConnection')),
    )
